跳转到内容

Stable Diffusion with LoRAs · Inpaint

集成

模型 id lora/inpaint
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/lora/inpaint?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model_name": "stabilityai/stable-diffusion-xl-base-1.0",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此请求: ≈$0.184 184 API 积分 在此页面运行

获取 API 密钥
Open model 图像编辑 参考输入 #diffusion#lora#customization#fine-tuning

使用指定 Stable Diffusion 基础模型和 LoRAs,在黑白蒙版引导下进行图像修复

Open model · 图像

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

•必填

描述要生成的图像;请尽可能提供详细信息以获得最佳结果。

•必填

用于生成图像的基础模型,可通过 URL 或 HuggingFace ID 指定。

num_images 默认 1

设置单个请求生成的图像数量;批次越大,允许的生成时间越长。

高级 negative_prompt · image · mask · ic_light_model_background_image_url · ic_light_image_url · prediction_type · image_format · unet_name · variant · image_encoder_path · image_encoder_subfolder · image_encoder_weight_name · ic_light_model_url · scheduler · noise_strength · num_inference_steps · guidance_scale · clip_skip · tile_width · tile_height · tile_stride_width · tile_stride_height · eta · seed · prompt_weighting · controlnet_guess_mode · rescale_betas_snr_zero · enable_safety_checker · debug_latents · debug_per_pass_latents · loras · embeddings · controlnets · ip_adapter · timesteps · sigmas
默认

指定不需要的图像细节的负面提示词。可排除颜色、物体、场景或更细致的特征和质量,例如胡子、模糊或低分辨率。

image_url
拖放文件,或

用于图像到图像生成或修复的源图像 URL。

mask_url
拖放文件,或

指向黑白图像的修复蒙版 URL。

拖放文件,或

用于 IC Light 图像生成的模型兼容背景,以图像 URL 提供。

拖放文件,或

使用 IC Light 模型生成时的输入图像 URL。

prediction_type 默认 epsilon

选择生成图像时的预测类型;未选择其他类型时使用 `epsilon`。

image_format 默认 png

结果图像的文件格式。

用于生成图像的自定义 U-Net 选择;请提供其 HuggingFace ID 或 URL。

HuggingFace 模型变体选择;'fp16' 是其中一个示例。

通过 HTTPS URL 或 Hugging Face ID 指定的图像编码器,其兼容性由 IP-Adapter 权重决定:SD1.5 使用 image_encoder_subfolder='models/image_encoder',而 h94/IP-Adapter SDXL 使用 h94/IP-Adapter 和 image_encoder_subfolder='sdxl_models/image_encoder'。只要 ip_adapter 包含值,就必须提供编码器。

image_encoder_path 中存放图像编码器权重的子目录。

默认 pytorch_model.bin

按名称选择图像编码器权重,用于生成图像。

生成图像时使用的 IC Light 模型 URL。

用于对图像去噪的调度器或采样器。

默认 0.5

控制添加的图像噪声,范围内 1.0 表示完全噪声,接近 0 的设置表示最小噪声。仅在提供 image_url 时生效。

默认 30

控制 Stable Diffusion 执行的生成步骤数;额外步骤可能会生成细节更丰富的最终图像。

默认 7.5

图像选择对提示词的遵循强度,以 CFG(Classifier Free Guidance)表示。

默认 0

跳过部分图像生成以加快渲染速度,但结果会略有不同。

默认 4096

设置图像生成期间每个图块的大小。

默认 4096

设置图像生成期间每个图块的大小。

默认 2048

设置图像生成期间连续图块位置之间的间距。

默认 2048

设置图像生成期间连续图块位置之间的间距。

默认 0

生成图像时使用的 Eta 设置。

用于在 Stable Diffusion 中复现图像的种子。保持模型版本、提示词和种子不变,即可在每次运行中精确复现图像。

默认 []

其组合效果用于生成图像的 LoRA,数量不限。

默认 []

在图像生成期间应用的嵌入,用于将提示词 token 映射到嵌入权重。目前仅支持一个嵌入。

默认 []

在生成期间的指定时间步将要应用于图像的 ControlNet,数量不限。

默认 []

用于生成图像的 IP adapter。提供任何条目都需要 image_encoder_path。

默认 {"array":[],"method":...

去噪时间步计划覆盖值,与 sigmas 互斥。没有覆盖值时(默认情况),调度器会根据 num_inference_steps 计算时间步;提供自定义计划后,num_inference_steps 将无效。覆盖值要求调度器支持 set_timesteps 的 timesteps 参数。

默认 {"array":[],"method":...

去噪 sigma 计划覆盖值,与 timesteps 互斥。没有覆盖值时(默认情况),调度器会根据 num_inference_steps 计算 sigma;提供自定义计划后,num_inference_steps 将无效。覆盖值要求调度器支持 set_sigmas 的 sigmas 参数。

POST /run/lora/inpaint?wait=20 报价 → $0.184
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/lora/inpaint?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model_name": "stabilityai/stable-diffusion-xl-base-1.0",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Stable Diffusion with LoRAs · Inpaint

使用 `image_url` 和黑白 `mask_url` 编辑图像的部分区域,模型由 `model_name` 指定的 Stable Diffusion 模型提供。`noise_strength` 范围为 0 到 1。支持合并 LoRA、嵌入、ControlNet、IP adapter 和多个调度器,步数为 1 到 150。输出为 png 或 jpeg。

参数

发送规范名称或原生名称之一,不要同时发送两者。 规范名称

名称类型 默认值允许值 描述
model_name必填
类型string
用于生成图像的基础模型,可通过 URL 或 HuggingFace ID 指定。
unet_name可选
类型string | null
用于生成图像的自定义 U-Net 选择;请提供其 HuggingFace ID 或 URL。
variant可选
类型string | null
HuggingFace 模型变体选择;'fp16' 是其中一个示例。
prompt必填
类型string
描述要生成的图像;请尽可能提供详细信息以获得最佳结果。
negative_prompt可选
类型string
默认值
指定不需要的图像细节的负面提示词。可排除颜色、物体、场景或更细致的特征和质量,例如胡子、模糊或低分辨率。
prompt_weighting可选
类型boolean
默认值false
提示词加权开关:true 会通过嵌入平均移除 77 token 限制,并启用加权语法。
image_url可选 image
类型url · image
用于图像到图像生成或修复的源图像 URL。
mask_url可选 mask
类型url · image
指向黑白图像的修复蒙版 URL。
noise_strength可选
类型number
默认值0.5
≤ 1> 0
控制添加的图像噪声,范围内 1.0 表示完全噪声,接近 0 的设置表示最小噪声。仅在提供 image_url 时生效。
loras可选
类型object[]
默认值[]
其组合效果用于生成图像的 LoRA,数量不限。
loras[].path必填
类型string
LoRA 权重的位置,以 URL 或路径指定。
loras[].scale可选
类型number
默认值1
0 – 4
LoRA 权重合并到基础模型前应用的乘数。
embeddings可选
类型object[]
默认值[]
在图像生成期间应用的嵌入,用于将提示词 token 映射到嵌入权重。目前仅支持一个嵌入。
embeddings[].path必填
类型string
通过 URL 或文件路径指定的嵌入权重。
embeddings[].tokens可选
类型string[]
映射到嵌入权重的提示词 token。省略时会为每个嵌入文件向量创建一个 token,名称为 <s0>、<s1>、...;请在提示词中使用这些映射后的 token。
controlnets可选
类型object[]
默认值[]
在生成期间的指定时间步将要应用于图像的 ControlNet,数量不限。
controlnets[].path必填
类型string
ControlNet 权重位置,可指定为 URL 或路径。
controlnets[].config_url可选
类型string | null
可选的 URL,指向 ControlNet 的 config.json 文件。
controlnets[].variant可选
类型string | null
与 Hugging Face 仓库键配合使用的可选变体。
controlnets[].image_url必填
类型url · image
作为 ControlNet 输入提供的图像 URL。
controlnets[].mask_url可选
类型url · image
ControlNet 蒙版(如果提供),其尺寸必须与控制图像一致;宽度和高度都必须能被 32 整除。
controlnets[].conditioning_scale可选
类型number
默认值1
0 – 2
合并到基础模型前应用于 ControlNet 权重的缩放。
controlnets[].start_percentage可选
类型number
默认值0
0 – 1
ControlNet 开始影响图像生成时所处的总时间步百分比。
controlnets[].end_percentage可选
类型number
默认值1
0 – 1
ControlNet 停止影响图像生成时所处的总时间步百分比。
controlnets[].ip_adapter_index可选
类型integer | null
InstantID ControlNet 的 IP adapter 索引选择;其他 ControlNet 不需要此设置。
controlnet_guess_mode可选
类型boolean
默认值false
为 true 时,将 ControlNet 的应用限制为条件预测。
ip_adapter可选
类型object[]
默认值[]
用于生成图像的 IP adapter。提供任何条目都需要 image_encoder_path。
ip_adapter[].ip_adapter_image_url必填
类型url · image
作为 IP adapter 输入提供的图像 URL。
ip_adapter[].ip_adapter_mask_url可选
类型url · image
IP adapter 蒙版(如果提供),其尺寸必须与 adapter 图像一致。
ip_adapter[].path必填
类型string
IP adapter 权重位置,指定为 URL 或路径。
ip_adapter[].model_subfolder可选
类型string | null
IP adapter 权重位置,指定为模型目录中的子文件夹。
ip_adapter[].weight_name可选
类型string | null
权重文件名。
ip_adapter[].insight_face_model_path可选
类型string | null
InsightFace 模型权重位置,指定为 URL 或路径。
ip_adapter[].scale可选
类型number
默认值1
≥ 0
IP adapter 权重的缩放因子,在合并到基础模型之前应用。
ip_adapter[].scale_json可选
类型object | null
IP adapter 权重的缩放因子,在合并到基础模型之前应用。
ip_adapter[].unconditional_noising_factor可选
类型number
默认值0
0 – 1
控制 IP adapter 无条件加噪的因子。
ip_adapter[].image_projection_shortcut可选
类型boolean
默认值true
图像投影快捷方式设置,默认值为 True。FaceID plus V1 模型使用 False,FaceID plus V2 模型使用 True。
image_encoder_path可选
类型string | null
通过 HTTPS URL 或 Hugging Face ID 指定的图像编码器,其兼容性由 IP-Adapter 权重决定:SD1.5 使用 image_encoder_subfolder='models/image_encoder',而 h94/IP-Adapter SDXL 使用 h94/IP-Adapter 和 image_encoder_subfolder='sdxl_models/image_encoder'。只要 ip_adapter 包含值,就必须提供编码器。
image_encoder_subfolder可选
类型string | null
image_encoder_path 中存放图像编码器权重的子目录。
image_encoder_weight_name可选
类型string | null
默认值pytorch_model.bin
按名称选择图像编码器权重,用于生成图像。
ic_light_model_url可选
类型string | null
生成图像时使用的 IC Light 模型 URL。
ic_light_model_background_image_url可选
类型url · image
用于 IC Light 图像生成的模型兼容背景,以图像 URL 提供。
ic_light_image_url可选
类型url · image
使用 IC Light 模型生成时的输入图像 URL。
seed可选
类型integer | null
用于在 Stable Diffusion 中复现图像的种子。保持模型版本、提示词和种子不变,即可在每次运行中精确复现图像。
num_inference_steps可选
类型integer
默认值30
1 – 150
控制 Stable Diffusion 执行的生成步骤数;额外步骤可能会生成细节更丰富的最终图像。
guidance_scale可选
类型number
默认值7.5
0 – 20
图像选择对提示词的遵循强度,以 CFG(Classifier Free Guidance)表示。
clip_skip可选
类型integer
默认值0
0 – 2
跳过部分图像生成以加快渲染速度,但结果会略有不同。
scheduler可选
类型enum
DPM++ 2MDPM++ 2M KarrasDPM++ 2M SDEDPM++ 2M SDE KarrasEulerEuler AEuler (trailing timesteps)LCMLCM (trailing timesteps)DDIMTCD
用于对图像去噪的调度器或采样器。
timesteps可选
类型object
默认值{"array":[],"method":"default"}
去噪时间步计划覆盖值,与 sigmas 互斥。没有覆盖值时(默认情况),调度器会根据 num_inference_steps 计算时间步;提供自定义计划后,num_inference_steps 将无效。覆盖值要求调度器支持 set_timesteps 的 timesteps 参数。
timesteps.method可选
类型enum
默认值default
defaultarray
选择时间步的确定方式:'default' 为默认设置,允许调度器使用 `num_inference_steps`。如需自行提供时间步计划,请选择 'array',并将计划放入 `array` 字段。
timesteps.array可选
类型integer[]
默认值[]
所选方法为 'custom' 时应用的时间步计划。
sigmas可选
类型object
默认值{"array":[],"method":"default"}
去噪 sigma 计划覆盖值,与 timesteps 互斥。没有覆盖值时(默认情况),调度器会根据 num_inference_steps 计算 sigma;提供自定义计划后,num_inference_steps 将无效。覆盖值要求调度器支持 set_sigmas 的 sigmas 参数。
sigmas.method可选
类型enum
默认值default
defaultarray
选择 sigma 的确定方式:'default' 为默认设置,使用调度器自身的 sigma 值。如需自行提供 sigma 计划,请选择 'custom',并将计划放入 `array` 字段。
sigmas.array可选
类型number[]
默认值[]
所选方法为 'custom' 时应用的 sigma 计划。
prediction_type可选
类型enum
默认值epsilon
v_predictionepsilon
选择生成图像时的预测类型;未选择其他类型时使用 `epsilon`。
rescale_betas_snr_zero可选
类型boolean
默认值false
控制采样器是否启用 rescale_betas_snr_zero。
image_format可选
类型enum
默认值png
jpegpng
结果图像的文件格式。
num_images可选 num_outputs
类型integer
默认值1
1 – 8
设置单个请求生成的图像数量;批次越大,允许的生成时间越长。
enable_safety_checker可选
类型boolean
默认值false
安全检查器激活状态;true 启用检查。
tile_width可选
类型integer
默认值4096
128 – 4,096
设置图像生成期间每个图块的大小。
tile_height可选
类型integer
默认值4096
128 – 4,096
设置图像生成期间每个图块的大小。
tile_stride_width可选
类型integer
默认值2048
64 – 2,048
设置图像生成期间连续图块位置之间的间距。
tile_stride_height可选
类型integer
默认值2048
64 – 2,048
设置图像生成期间连续图块位置之间的间距。
eta可选
类型number
默认值0
0 – 1
生成图像时使用的 Eta 设置。
debug_latents可选
类型boolean
默认值false
为 true 时保存潜变量以便调试。
debug_per_pass_latents可选
类型boolean
默认值false
将此项设为 true 可启用逐轮调试,并保存每一轮的潜变量。
必填 规范名称,也可接受

文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "lora/inpaint",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 184,
    "usd": "0.184",
    "charged": 184,
    "refunded": 0
  },
  "input": {
    "model_name": "stabilityai/stable-diffusion-xl-base-1.0",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "debug_latents": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "debug_per_pass_latents": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
images
array of object {url, content_type, file_name, file_size, width, height}生成图像的文件信息。
seed
integer图像生成种子;如果输入未提供种子,则包含随机选择的值,否则重复使用所提供的值。
has_nsfw_concepts
array of boolean指示生成的图像中是否出现 NSFW 概念。
debug_latents
object {url, content_type, file_name, file_size} | null为调试而存储的潜变量数据。
debug_per_pass_latents
object {url, content_type, file_name, file_size} | null为调试而存储的逐轮潜变量数据。

更多模型:图像编辑

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/lora/inpaint.md. 所有模型和指南: https://doitong.com/developers/llms.txt